version: '3.8'

services:
  onlyoffice-documentserver:
    image: onlyoffice/documentserver:latest
    container_name: onlyoffice-documentserver
    restart: always
    ports:
      - "7500:80"
    environment:
      - JWT_ENABLED=true
      - JWT_SECRET=795ce76f14e756d348007af613fe7c680513507d89e9afca1e1d5a46dee5d714c40cb07f3b24a625d2f0ec104014781de11ce004650e84b87541d4e4183b0f53aae2971ffe279c4c4fd9206e274af37a5a365d735ac7e24381060aefa159226c8d74dd37c1e5b593af77cc2bd6e705faa7b807be77483741e521329fe8d9535aa9815f147a25313dfd565d58fe399e754a204f4ce1279cb9221594f433b26753b53c7d8003dc4b3ea1fcb2b47fe13cf8abc99880f4ff4b2db4878fca176a3f3022f6d4f5f145a65f3615ef94ea7c112c4a36b04e2335661cbb37a43043fcc018b15a70f8e583c3e73855eac3d10e2e16dab7576dab10ab83fd3cdd8fd2354835
      - JWT_HEADER=Authorization
      - JWT_IN_BODY=true
    volumes:
      - onlyoffice_data:/var/www/onlyoffice/Data
      - onlyoffice_logs:/var/log/onlyoffice
      - onlyoffice_lib:/var/lib/onlyoffice
      - onlyoffice_db:/var/lib/postgresql
      - onlyoffice_fonts:/usr/share/fonts

volumes:
  onlyoffice_data:
  onlyoffice_logs:
  onlyoffice_lib:
  onlyoffice_db:
  onlyoffice_fonts:
